emacs: Remove notmuch-mua-message-send-hook
[notmuch] / bindings / python / setup.py
1 #!/usr/bin/env python
2
3 """
4 This file is part of notmuch.
5
6 Notmuch is free software: you can redistribute it and/or modify it
7 under the terms of the GNU General Public License as published by the
8 Free Software Foundation, either version 3 of the License, or (at your
9 option) any later version.
10
11 Notmuch is distributed in the hope that it will be useful, but WITHOUT
12 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
13 FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
14 for more details.
15
16 You should have received a copy of the GNU General Public License
17 along with notmuch.  If not, see <https://www.gnu.org/licenses/>.
18
19 Copyright 2010 Sebastian Spaeth <Sebastian@SSpaeth.de>
20 """
21
22 import os
23 from distutils.core import setup
24
25 # get the notmuch version number without importing the notmuch module
26 version_file = os.path.join(os.path.dirname(__file__),
27                             'notmuch', 'version.py')
28 exec(compile(open(version_file).read(), version_file, 'exec'))
29 assert '__VERSION__' in globals(), \
30     'Failed to read the notmuch binding version number'
31
32 setup(name='notmuch',
33       version=__VERSION__,
34       description='Python binding of the notmuch mail search and indexing library.',
35       author='Sebastian Spaeth',
36       author_email='Sebastian@SSpaeth.de',
37       url='https://notmuchmail.org/',
38       download_url='https://notmuchmail.org/releases/notmuch-%s.tar.gz' % __VERSION__,
39       packages=['notmuch'],
40       keywords=['library', 'email'],
41       long_description='''Overview
42 ========
43
44 The notmuch module provides an interface to the `notmuch
45 <https://notmuchmail.org>`_ functionality, directly interfacing with a
46 shared notmuch library. Notmuch provides a maildatabase that allows
47 for extremely quick searching and filtering of your email according to
48 various criteria.
49
50 The documentation for the latest notmuch release can be `viewed
51 online <https://notmuch.readthedocs.io/>`_.
52
53 Requirements
54 ------------
55
56 You need to have notmuch installed (or rather libnotmuch.so.1). Also,
57 notmuch makes use of the ctypes library, and has only been tested with
58 python >= 2.5. It will not work on earlier python versions.
59 ''',
60       classifiers=['Development Status :: 3 - Alpha',
61                    'Intended Audience :: Developers',
62                    'License :: OSI Approved :: GNU General Public License (GPL)',
63                    'Programming Language :: Python :: 2',
64                    'Programming Language :: Python :: 3',
65                    'Topic :: Communications :: Email',
66                    'Topic :: Software Development :: Libraries'
67                    ],
68       platforms='',
69       license='https://www.gnu.org/licenses/gpl-3.0.txt',
70      )